The v1 API will be sunset on August 21, 2026. Migrate to v2. Read the migration guide →
Paytrie Developer Documentation
API ReferenceSumsub

Post Sumsub Import User

View as Markdown
POST
/sumsubImportUser

This route is for our partners which utilize Sumsub as their KYC provider. If the reusable KYC feature is enabled in your Sumsub integration, you can use this route to send the share token to import the user into our system. (For more information on the Sumsub reusable KYC feature, please refer to the following link: https://docs.sumsub.com/docs/reusable-kyc#how-reusable-kyc-via-api-works)

Authorization

ApiKeyAuth
x-api-key<token>

API key

In: header

Header Parameters

x-api-key*string

API key for authentication

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sumsubImportUser" \  -H "x-api-key: string" \  -H "Content-Type: application/json" \  -d '{    "share_token": "_act-sbx-jwt-eyJhbGciOiJub25lIn0.eyJqdGkiOiJ....uY29tIn0."  }'
{  "message": "User imported successfully",  "status": "success"}
{  "message": "Sumsub error code: 10503, Sumsub error description: The provided share token is malformed or expired.",  "status": "User could not be imported."}